package com.isu.gaswellwatch.vo;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serial;

/**
 * 区块对象 blocks
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
public class BlockPageQuery extends PageQuery {

    @Serial
    private static final long serialVersionUID = 1L;

            /** 上级标识 */
        private Long parentId;

            /** 名称 */
        private String name;

            /** 是否已删除 */
        private Integer deleted;

}
