package com.isu.gaswellwatch.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.entity.Department;
import com.isu.gaswellwatch.vo.DepartmentVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface DepartmentDao extends BaseMapper<Department> {

    Page<DepartmentVO> page(Page<Object> page,
                            @Param("name") String name,
                            @Param("code") String code
    );
}

